%define version   1.2.4
%define release   %mkrel 1

%define scim_anthy_version 1.2.4
%define skim_version       1.4.2

%define libname_orig lib%{name}
%define libname %mklibname %{name} 0

Name:		skim-scim-anthy
Summary:	An scim-anthy plugin for skim
Version:	%{version}
Release:	%{release}
Epoch:		2
Group:		System/Internationalization
License:	GPL
URL:		http://sourceforge.jp/projects/scim-imengine/
Source0:	http://globalbase.dl.sourceforge.jp/scim-imengine/25405/%{name}-%{version}.tar.gz
Patch0:		skim-scim-anthy_compile.diff

# The original bootstrap doesn't work for autoconf-2.6.
# I reported it to the skim-scim-anthy developers.
# We must run bootstrap.
# libskim-scim-anthy will not be generated without it.
Patch1:		skim-scim-anthy-add_autoconf26.diff

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
Requires:		scim-anthy >= %{scim_anthy_version}
Requires:		skim >= %{skim_version}
BuildRequires:		scim-anthy >= %{scim_anthy_version}
BuildRequires:		skim-devel >= %{skim_version}
BuildRequires:		gettext-devel
BuildRequires:		qt3-devel
Obsoletes:	%libname

%description
Skim-scim-anthy is an scim-anthy plugin for skim.

%prep
%setup -q
%patch0 -p0
%patch1 -p1

%build
# force to regenerate configure
./bootstrap
%configure2_5x --disable-rpath
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_datadir}/apps/skim/pics/*.png
%{_datadir}/config.kcfg/*.kcfg
%{_datadir}/services/skimconfiguredialog/*.desktop
%{_libdir}/kde3/*.la
%{_libdir}/kde3/*.so


%changelog
* Thu Sep 13 2007 Funda Wang <fundawang@mandriva.org> 1.2.4-1mdv2008.0
+ Revision: 85113
- Downgrade to 1.2.4 to fix bug#33110

* Wed Sep 05 2007 Funda Wang <fundawang@mandriva.org> 1.3.0-3mdv2008.0
+ Revision: 79776
- support automake 1.10 too
- Rebuild to drop libname, because /usr/lib/kde3 should in main package

* Mon Jun 11 2007 Funda Wang <fundawang@mandriva.org> 1.3.0-2mdv2008.0
+ Revision: 38015
- Merge UTUMI Hirosi's patch

* Tue May 29 2007 Funda Wang <fundawang@mandriva.org> 1.3.0-1mdv2008.0
+ Revision: 32385
- libname doesn't need now
- New version


* Wed Aug 02 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 1.2.0-2mdv2007.0
- add patch0 for Cooker (skim-scim-anthy_compile.diff)

* Mon Jul 31 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 1.2.0-1mdv2007.0
- new release
- remove patch0 (skim-scim-anthy_compile.diff.bz2)
- remove source1 (ABOUT-NLS)
- (included in skim-scim-anthy-1.2.0)

* Mon Jun 19 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 1.0.0-1mdv2007.0
- new release

* Wed Feb 22 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.9.0.1-2mdk
- fix requires being "scim-anthy >= %%{scim-anthy_version}"

* Mon Jan 30 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.9.0.1-1mdv2007.0
- new release

* Sun Jan 29 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.9.0-1mdv2007.0
- new release

* Thu Jan 26 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.8.0-0.20060126.1mdv2007.0
- latest snapshot

* Wed Jan 25 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.8.0-0.20060125.1mdv2007.0
- first spec for Mandriva Linux

